# 미디에이션

## 1. 적용 절차

1. 미디에이션 적용은 CJ 메조미디어 담당자와 협의 후 진행 가능합니다.
2. 미디에이션 적용된 버전의 SDK 다운로드를 해야하며, 경로는 아래와 같습니다.
3. 하단 Build.gradle 정보에서 사용하고자하는 플랫폼의  SDK를 추가 해주세요.

{% hint style="warning" %}
참고 사항

* SDK 미디에이션은 Android를 대상으로 진행 가능합니다.
* 미디에이션은 CJ 메조미디어 SDK와 함께 사용되어야 합니다. (단독 사용 불가)
  {% endhint %}

## 2. 지원 플랫폼 정보

지원하고 있는 미디에이션 플랫폼 리스트로 추후 업데이트 될 수 있습니다.\
각 플랫폼 별 상세 값은 하단 Build.gradle 정보 참고하여 진행하시면 됩니다.

| 지원 플랫폼명     | Build.gradle 내 플랫폼 정보 | 적용 일자   |
| ----------- | --------------------- | ------- |
| Kakao AdFit | kakao                 | 2025.03 |

## 3. Build.gradle 정보

### 1) Build.gradle(상위/Project Level)

아래 내용을 참고하여 사용하고자 하는 플랫폼의 SDK를 설정합니다.

{% code lineNumbers="true" %}

```
allprojects {
    repositories {
        google()
        mavenCentral()
        //kakao
        maven { url 'https://devrepo.kakao.com/nexus/content/groups/public/' }
    }
}
```

{% endcode %}

### 2) Build.gradle (앱 내부/App Level)

아래 내용을 참고하여 사용하고자 하는 플랫폼의 SDK를 설정합니다.

{% code lineNumbers="true" %}

```
dependencies {
    //kakao
    implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
    implementation "com.google.android.gms:play-services-ads-identifier:$play_service_version"
 
    implementation "com.kakao.adfit:ads-base:$adfit_version"
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.targetpick.io/android-sdk/mediation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
